Browse Source

Add settings manager plugin and make the panel a settings client. Cool stuff :)

(Old svn revision: 3459)
upstream/xfce4-panel-4.10.1
Jasper Huijsmans 20 years ago
parent
commit
961ec62961
  1. 2
      Makefile.am
  2. 6
      Makefile.in
  3. 229
      configure
  4. 15
      configure.ac
  5. 4
      icons/Makefile.in
  6. 8
      panel/Makefile.am
  7. 95
      panel/Makefile.in
  8. 2
      panel/callbacks.c
  9. 6
      panel/handle.c
  10. 8
      panel/main.c
  11. 34
      panel/panel.c
  12. 10
      panel/settings.c
  13. 4
      plugins/Makefile.in
  14. 2
      plugins/clock/Makefile.am
  15. 6
      plugins/clock/Makefile.in
  16. 14
      plugins/clock/clock.c
  17. 2
      plugins/mailcheck/Makefile.am
  18. 6
      plugins/mailcheck/Makefile.in
  19. 6
      plugins/mailcheck/mailcheck.c
  20. 2
      plugins/switcher/Makefile.am
  21. 6
      plugins/switcher/Makefile.in
  22. 38
      plugins/switcher/switcher.c
  23. 2
      plugins/systembuttons/Makefile.am
  24. 6
      plugins/systembuttons/Makefile.in
  25. 6
      plugins/systembuttons/systembuttons.c
  26. 2
      plugins/trash/Makefile.am
  27. 6
      plugins/trash/Makefile.in
  28. 14
      settings/Makefile.am
  29. 522
      settings/Makefile.in
  30. 58
      settings/xfce_settings.h
  31. 471
      settings/xfce_settings_dialog.c
  32. 18
      settings/xfce_settings_dialog.h
  33. 291
      settings/xfce_settings_plugin.c
  34. 35
      settings/xfce_settings_plugin.h
  35. 4
      themes/Crystal/Makefile.in
  36. 4
      themes/Curve/Makefile.in
  37. 4
      themes/Gnome/Makefile.in
  38. 4
      themes/Makefile.in
  39. 4
      themes/Noia/Makefile.in
  40. 4
      themes/XFce/Makefile.in

2
Makefile.am

@ -15,7 +15,7 @@ SUBDIRS = @MY_SUBDIRS@
distclean-local:
rm -rf xfce4rc xfce4.spec *.cache
xfce4rc:
xfce4rc: example.xfce4rc.in
@sed -e "s%_pkgdatadir_%$(pkgdatadir)%g" example.xfce4rc.in > xfce4rc
rpm: dist

6
Makefile.in

@ -76,6 +76,10 @@ MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MCS_CLIENT_CFLAGS = @MCS_CLIENT_CFLAGS@
MCS_CLIENT_LIBS = @MCS_CLIENT_LIBS@
MCS_MANAGER_CFLAGS = @MCS_MANAGER_CFLAGS@
MCS_MANAGER_LIBS = @MCS_MANAGER_LIBS@
MY_SUBDIRS = @MY_SUBDIRS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
@ -594,7 +598,7 @@ uninstall-info: uninstall-info-recursive
distclean-local:
rm -rf xfce4rc xfce4.spec *.cache
xfce4rc:
xfce4rc: example.xfce4rc.in
@sed -e "s%_pkgdatadir_%$(pkgdatadir)%g" example.xfce4rc.in > xfce4rc
rpm: dist

229
configure

@ -464,7 +464,7 @@ ac_includes_default="\
# include <unistd.h>
#endif"
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS EGREP MY_SUBDIRS GLIB_REQUIRED_VERSION GTK_REQUIRED_VERSION PANGO_REQUIRED_VERSION LIBXFCEGUI4_REQUIRED_VERSION PKG_CONFIG BASE_DEPENDENCIES_CFLAGS BASE_DEPENDENCIES_LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO RANLIB ac_ct_RANLIB LIBTOOL LIBOBJS LTLIBOBJS'
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS EGREP MY_SUBDIRS GLIB_REQUIRED_VERSION GTK_REQUIRED_VERSION PANGO_REQUIRED_VERSION LIBXFCEGUI4_REQUIRED_VERSION PKG_CONFIG BASE_DEPENDENCIES_CFLAGS BASE_DEPENDENCIES_LIBS MCS_CLIENT_CFLAGS MCS_CLIENT_LIBS MCS_MANAGER_CFLAGS MCS_MANAGER_LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO RANLIB ac_ct_RANLIB LIBTOOL LIBOBJS LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
@ -1012,7 +1012,6 @@ Optional Features:
(and sometimes confusing) to the casual installer
--disable-dependency-tracking Speeds up one-time builds
--enable-dependency-tracking Do not reject slow dependency extractors
--disable-plugins Don't build plugins
--enable-debug debug mode (default disabled)
--enable-static=PKGS build static libraries default=no
--enable-shared=PKGS build shared libraries default=yes
@ -4880,16 +4879,8 @@ fi
done
# Check whether --enable-plugins or --disable-plugins was given.
if test "${enable_plugins+set}" = set; then
enableval="$enable_plugins"
case "${enableval}" in
no) MY_SUBDIRS="icons panel themes" ;;
*) MY_SUBDIRS="icons panel plugins themes" ;;
esac
else
MY_SUBDIRS="icons panel plugins themes"
fi;
MY_SUBDIRS="icons panel settings plugins themes"
DEBUG=0
# Check whether --enable-debug or --disable-debug was given.
@ -4903,8 +4894,6 @@ _ACEOF
fi;
## Versions of dependencies
GLIB_REQUIRED_VERSION=2.0.0
GTK_REQUIRED_VERSION=2.0.0
@ -5036,6 +5025,203 @@ echo "$as_me: error: Library requirements (glib-2.0 >= $GLIB_REQUIRED_VERSION gt
fi
succeeded=no
if test -z "$PKG_CONFIG"; then
# Extract the first word of "pkg-config", so it can be a program name with args.
set dummy pkg-config; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
case $PKG_CONFIG in
[\\/]* | ?:[\\/]*)
ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
;;
*)
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
;;
esac
fi
PKG_CONFIG=$ac_cv_path_PKG_CONFIG
if test -n "$PKG_CONFIG"; then
echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
echo "${ECHO_T}$PKG_CONFIG" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
fi
fi
if test "$PKG_CONFIG" = "no" ; then
echo "*** The pkg-config script could not be found. Make sure it is"
echo "*** in your path, or set the PKG_CONFIG environment variable"
echo "*** to the full path to pkg-config."
echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
else
PKG_CONFIG_MIN_VERSION=0.9.0
if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
echo "$as_me:$LINENO: checking for libxfce4mcs-client-1.0" >&5
echo $ECHO_N "checking for libxfce4mcs-client-1.0... $ECHO_C" >&6
if $PKG_CONFIG --exists "libxfce4mcs-client-1.0" ; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
succeeded=yes
echo "$as_me:$LINENO: checking MCS_CLIENT_CFLAGS" >&5
echo $ECHO_N "checking MCS_CLIENT_CFLAGS... $ECHO_C" >&6
MCS_CLIENT_CFLAGS=`$PKG_CONFIG --cflags "libxfce4mcs-client-1.0"`
echo "$as_me:$LINENO: result: $MCS_CLIENT_CFLAGS" >&5
echo "${ECHO_T}$MCS_CLIENT_CFLAGS" >&6
echo "$as_me:$LINENO: checking MCS_CLIENT_LIBS" >&5
echo $ECHO_N "checking MCS_CLIENT_LIBS... $ECHO_C" >&6
MCS_CLIENT_LIBS=`$PKG_CONFIG --libs "libxfce4mcs-client-1.0"`
echo "$as_me:$LINENO: result: $MCS_CLIENT_LIBS" >&5
echo "${ECHO_T}$MCS_CLIENT_LIBS" >&6
else
MCS_CLIENT_CFLAGS=""
MCS_CLIENT_LIBS=""
## If we have a custom action on failure, don't print errors, but
## do set a variable so people can do so.
MCS_CLIENT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libxfce4mcs-client-1.0"`
echo $MCS_CLIENT_PKG_ERRORS
fi
else
echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
echo "*** See http://www.freedesktop.org/software/pkgconfig"
fi
fi
if test $succeeded = yes; then
:
else
{ { echo "$as_me:$LINENO: error: Library requirements (libxfce4mcs-client-1.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5
echo "$as_me: error: Library requirements (libxfce4mcs-client-1.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;}
{ (exit 1); exit 1; }; }
fi
succeeded=no
if test -z "$PKG_CONFIG"; then
# Extract the first word of "pkg-config", so it can be a program name with args.
set dummy pkg-config; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
case $PKG_CONFIG in
[\\/]* | ?:[\\/]*)
ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
;;
*)
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
;;
esac
fi
PKG_CONFIG=$ac_cv_path_PKG_CONFIG
if test -n "$PKG_CONFIG"; then
echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
echo "${ECHO_T}$PKG_CONFIG" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
fi
fi
if test "$PKG_CONFIG" = "no" ; then
echo "*** The pkg-config script could not be found. Make sure it is"
echo "*** in your path, or set the PKG_CONFIG environment variable"
echo "*** to the full path to pkg-config."
echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
else
PKG_CONFIG_MIN_VERSION=0.9.0
if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
echo "$as_me:$LINENO: checking for libxfce4mcs-manager-1.0" >&5
echo $ECHO_N "checking for libxfce4mcs-manager-1.0... $ECHO_C" >&6
if $PKG_CONFIG --exists "libxfce4mcs-manager-1.0" ; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
succeeded=yes
echo "$as_me:$LINENO: checking MCS_MANAGER_CFLAGS" >&5
echo $ECHO_N "checking MCS_MANAGER_CFLAGS... $ECHO_C" >&6
MCS_MANAGER_CFLAGS=`$PKG_CONFIG --cflags "libxfce4mcs-manager-1.0"`
echo "$as_me:$LINENO: result: $MCS_MANAGER_CFLAGS" >&5
echo "${ECHO_T}$MCS_MANAGER_CFLAGS" >&6
echo "$as_me:$LINENO: checking MCS_MANAGER_LIBS" >&5
echo $ECHO_N "checking MCS_MANAGER_LIBS... $ECHO_C" >&6
MCS_MANAGER_LIBS=`$PKG_CONFIG --libs "libxfce4mcs-manager-1.0"`
echo "$as_me:$LINENO: result: $MCS_MANAGER_LIBS" >&5
echo "${ECHO_T}$MCS_MANAGER_LIBS" >&6
else
MCS_MANAGER_CFLAGS=""
MCS_MANAGER_LIBS=""
## If we have a custom action on failure, don't print errors, but
## do set a variable so people can do so.
MCS_MANAGER_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libxfce4mcs-manager-1.0"`
echo $MCS_MANAGER_PKG_ERRORS
fi
else
echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
echo "*** See http://www.freedesktop.org/software/pkgconfig"
fi
fi
if test $succeeded = yes; then
:
else
{ { echo "$as_me:$LINENO: error: Library requirements (libxfce4mcs-manager-1.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5
echo "$as_me: error: Library requirements (libxfce4mcs-manager-1.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;}
{ (exit 1); exit 1; }; }
fi
## libtool support (for plugins)
# Check whether --enable-static or --disable-static was given.
if test "${enable_static+set}" = set; then
@ -6147,7 +6333,7 @@ test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
case $host in
*-*-irix6*)
# Find out which ABI we are using.
echo '#line 6150 "configure"' > conftest.$ac_ext
echo '#line 6336 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@ -6665,7 +6851,7 @@ chmod -w .
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
compiler_c_o=no
if { (eval echo configure:6668: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
if { (eval echo configure:6854: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
if test -s out/conftest.err; then
@ -8410,7 +8596,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 8413 "configure"
#line 8599 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -8508,7 +8694,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 8511 "configure"
#line 8697 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -9233,7 +9419,7 @@ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
ac_config_files="$ac_config_files xfce4.spec Makefile icons/Makefile panel/Makefile plugins/Makefile plugins/mailcheck/Makefile plugins/clock/Makefile plugins/trash/Makefile plugins/switcher/Makefile plugins/systembuttons/Makefile themes/Makefile themes/Crystal/Makefile themes/Curve/Makefile themes/Gnome/Makefile themes/Noia/Makefile themes/XFce/Makefile"
ac_config_files="$ac_config_files xfce4.spec Makefile icons/Makefile panel/Makefile plugins/Makefile plugins/mailcheck/Makefile plugins/clock/Makefile plugins/trash/Makefile plugins/switcher/Makefile plugins/systembuttons/Makefile settings/Makefile themes/Makefile themes/Crystal/Makefile themes/Curve/Makefile themes/Gnome/Makefile themes/Noia/Makefile themes/XFce/Makefile"
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
@ -9779,6 +9965,7 @@ do
"plugins/trash/Makefile" ) CONFIG_FILES="$CONFIG_FILES plugins/trash/Makefile" ;;
"plugins/switcher/Makefile" ) CONFIG_FILES="$CONFIG_FILES plugins/switcher/Makefile" ;;
"plugins/systembuttons/Makefile" ) CONFIG_FILES="$CONFIG_FILES plugins/systembuttons/Makefile" ;;
"settings/Makefile" ) CONFIG_FILES="$CONFIG_FILES settings/Makefile" ;;
"themes/Makefile" ) CONFIG_FILES="$CONFIG_FILES themes/Makefile" ;;
"themes/Crystal/Makefile" ) CONFIG_FILES="$CONFIG_FILES themes/Crystal/Makefile" ;;
"themes/Curve/Makefile" ) CONFIG_FILES="$CONFIG_FILES themes/Curve/Makefile" ;;
@ -9920,6 +10107,10 @@ s,@LIBXFCEGUI4_REQUIRED_VERSION@,$LIBXFCEGUI4_REQUIRED_VERSION,;t t
s,@PKG_CONFIG@,$PKG_CONFIG,;t t
s,@BASE_DEPENDENCIES_CFLAGS@,$BASE_DEPENDENCIES_CFLAGS,;t t
s,@BASE_DEPENDENCIES_LIBS@,$BASE_DEPENDENCIES_LIBS,;t t
s,@MCS_CLIENT_CFLAGS@,$MCS_CLIENT_CFLAGS,;t t
s,@MCS_CLIENT_LIBS@,$MCS_CLIENT_LIBS,;t t
s,@MCS_MANAGER_CFLAGS@,$MCS_MANAGER_CFLAGS,;t t
s,@MCS_MANAGER_LIBS@,$MCS_MANAGER_LIBS,;t t
s,@build@,$build,;t t
s,@build_cpu@,$build_cpu,;t t
s,@build_vendor@,$build_vendor,;t t

15
configure.ac

@ -27,13 +27,8 @@ AC_CHECK_LIB(Xpm, main,, AC_MSG_ERROR([libXpm is missing from your system: Make
AC_CHECK_FUNCS(setlocale strchr strrchr strstr)
AC_ARG_ENABLE(plugins,
[ --disable-plugins Don't build plugins],
[ case "${enableval}" in
no) MY_SUBDIRS="icons panel themes" ;;
*) MY_SUBDIRS="icons panel plugins themes" ;;
esac],
[ MY_SUBDIRS="icons panel plugins themes" ])
MY_SUBDIRS="icons panel settings plugins themes"
AC_SUBST(MY_SUBDIRS)
dnl
dnl Debugging mode
@ -44,8 +39,6 @@ AC_ARG_ENABLE(debug,
[ AC_DEFINE(DEBUG, 1, [Define to 1 for debug.]) ],)
AC_SUBST(MY_SUBDIRS)
## Versions of dependencies
GLIB_REQUIRED_VERSION=2.0.0
GTK_REQUIRED_VERSION=2.0.0
@ -64,6 +57,9 @@ AC_SUBST(LIBXFCEGUI4_REQUIRED_VERSION)
PKG_CHECK_MODULES(BASE_DEPENDENCIES, glib-2.0 >= $GLIB_REQUIRED_VERSION gtk+-2.0 >= $GTK_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION gmodule-2.0 libxml-2.0 libxfcegui4-1.0 >= $LIBXFCEGUI4_REQUIRED_VERSION)
PKG_CHECK_MODULES(MCS_CLIENT, libxfce4mcs-client-1.0)
PKG_CHECK_MODULES(MCS_MANAGER, libxfce4mcs-manager-1.0)
## libtool support (for plugins)
AC_DISABLE_STATIC
AC_PROG_LIBTOOL
@ -79,6 +75,7 @@ plugins/clock/Makefile
plugins/trash/Makefile
plugins/switcher/Makefile
plugins/systembuttons/Makefile
settings/Makefile
themes/Makefile
themes/Crystal/Makefile
themes/Curve/Makefile

4
icons/Makefile.in

@ -76,6 +76,10 @@ MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MCS_CLIENT_CFLAGS = @MCS_CLIENT_CFLAGS@
MCS_CLIENT_LIBS = @MCS_CLIENT_LIBS@
MCS_MANAGER_CFLAGS = @MCS_MANAGER_CFLAGS@
MCS_MANAGER_LIBS = @MCS_MANAGER_LIBS@
MY_SUBDIRS = @MY_SUBDIRS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@

8
panel/Makefile.am

@ -6,8 +6,6 @@ controls.c \
controls.h \
controls_dialog.c \
controls_dialog.h \
dialogs.c \
dialogs.h \
global.h \
groups.c \
groups.h \
@ -22,6 +20,8 @@ item_dialog.c \
item_dialog.h \
main.c \
main.h \
mcs_client.c \
mcs_client.h \
panel.c \
panel.h \
plugins.h \
@ -44,5 +44,5 @@ plugins.h \
xfce_support.h \
xfce.h
xfce4_CFLAGS = -Wall @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\" -DSYSCONFDIR=\"$(sysconfdir)\" -DVERSION=\"@VERSION@\"
xfce4_LDADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@
xfce4_CFLAGS = -Wall @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ @MCS_CLIENT_CFLAGS@ -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\" -DSYSCONFDIR=\"$(sysconfdir)\" -DVERSION=\"@VERSION@\"
xfce4_LDADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@ @MCS_CLIENT_LIBS@

95
panel/Makefile.in

@ -76,6 +76,10 @@ MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MCS_CLIENT_CFLAGS = @MCS_CLIENT_CFLAGS@
MCS_CLIENT_LIBS = @MCS_CLIENT_LIBS@
MCS_MANAGER_CFLAGS = @MCS_MANAGER_CFLAGS@
MCS_MANAGER_LIBS = @MCS_MANAGER_LIBS@
MY_SUBDIRS = @MY_SUBDIRS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
@ -138,8 +142,6 @@ controls.c \
controls.h \
controls_dialog.c \
controls_dialog.h \
dialogs.c \
dialogs.h \
global.h \
groups.c \
groups.h \
@ -154,6 +156,8 @@ item_dialog.c \
item_dialog.h \
main.c \
main.h \
mcs_client.c \
mcs_client.h \
panel.c \
panel.h \
plugins.h \
@ -178,8 +182,8 @@ xfce_support.h \
xfce.h
xfce4_CFLAGS = -Wall @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\" -DSYSCONFDIR=\"$(sysconfdir)\" -DVERSION=\"@VERSION@\"
xfce4_LDADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@
xfce4_CFLAGS = -Wall @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ @MCS_CLIENT_CFLAGS@ -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\" -DSYSCONFDIR=\"$(sysconfdir)\" -DVERSION=\"@VERSION@\"
xfce4_LDADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@ @MCS_CLIENT_LIBS@
subdir = panel
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
@ -188,12 +192,13 @@ bin_PROGRAMS = xfce4$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)
am_xfce4_OBJECTS = xfce4-callbacks.$(OBJEXT) xfce4-controls.$(OBJEXT) \
xfce4-controls_dialog.$(OBJEXT) xfce4-dialogs.$(OBJEXT) \
xfce4-groups.$(OBJEXT) xfce4-handle.$(OBJEXT) \
xfce4-icons.$(OBJEXT) xfce4-info.$(OBJEXT) xfce4-item.$(OBJEXT) \
xfce4-controls_dialog.$(OBJEXT) xfce4-groups.$(OBJEXT) \
xfce4-handle.$(OBJEXT) xfce4-icons.$(OBJEXT) \
xfce4-info.$(OBJEXT) xfce4-item.$(OBJEXT) \
xfce4-item_dialog.$(OBJEXT) xfce4-main.$(OBJEXT) \
xfce4-panel.$(OBJEXT) xfce4-popup.$(OBJEXT) \
xfce4-settings.$(OBJEXT) xfce4-xfce_support.$(OBJEXT)
xfce4-mcs_client.$(OBJEXT) xfce4-panel.$(OBJEXT) \
xfce4-popup.$(OBJEXT) xfce4-settings.$(OBJEXT) \
xfce4-xfce_support.$(OBJEXT)
xfce4_OBJECTS = $(am_xfce4_OBJECTS)
xfce4_DEPENDENCIES =
xfce4_LDFLAGS =
@ -204,13 +209,13 @@ am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/xfce4-callbacks.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-controls.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-controls_dialog.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-dialogs.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-groups.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-handle.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-icons.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-info.Po ./$(DEPDIR)/xfce4-item.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-item_dialog.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-main.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-mcs_client.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-panel.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-popup.Po \
@AMDEP_TRUE@ ./$(DEPDIR)/xfce4-settings.Po \
@ -269,7 +274,6 @@ clean-binPROGRAMS:
xfce4-callbacks.$(OBJEXT): callbacks.c
xfce4-controls.$(OBJEXT): controls.c
xfce4-controls_dialog.$(OBJEXT): controls_dialog.c
xfce4-dialogs.$(OBJEXT): dialogs.c
xfce4-groups.$(OBJEXT): groups.c
xfce4-handle.$(OBJEXT): handle.c
xfce4-icons.$(OBJEXT): icons.c
@ -277,6 +281,7 @@ xfce4-info.$(OBJEXT): info.c
xfce4-item.$(OBJEXT): item.c
xfce4-item_dialog.$(OBJEXT): item_dialog.c
xfce4-main.$(OBJEXT): main.c
xfce4-mcs_client.$(OBJEXT): mcs_client.c
xfce4-panel.$(OBJEXT): panel.c
xfce4-popup.$(OBJEXT): popup.c
xfce4-settings.$(OBJEXT): settings.c
@ -294,7 +299,6 @@ distclean-compile:
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-callbacks.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-controls.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-controls_dialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-dialogs.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-groups.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-handle.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-icons.Po@am__quote@
@ -302,6 +306,7 @@ distclean-compile:
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-item.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-item_dialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-mcs_client.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-panel.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-popup.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfce4-settings.Po@am__quote@
@ -442,39 +447,6 @@ xfce4-controls_dialog.lo: controls_dialog.c
@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -c -o xfce4-controls_dialog.lo `test -f 'controls_dialog.c' || echo '$(srcdir)/'`controls_dialog.c
xfce4-dialogs.o: dialogs.c
@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -MT xfce4-dialogs.o -MD -MP -MF "$(DEPDIR)/xfce4-dialogs.Tpo" \
@am__fastdepCC_TRUE@ -c -o xfce4-dialogs.o `test -f 'dialogs.c' || echo '$(srcdir)/'`dialogs.c; \
@am__fastdepCC_TRUE@ then mv "$(DEPDIR)/xfce4-dialogs.Tpo" "$(DEPDIR)/xfce4-dialogs.Po"; \
@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/xfce4-dialogs.Tpo"; exit 1; \
@am__fastdepCC_TRUE@ fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='dialogs.c' object='xfce4-dialogs.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/xfce4-dialogs.Po' tmpdepfile='$(DEPDIR)/xfce4-dialogs.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -c -o xfce4-dialogs.o `test -f 'dialogs.c' || echo '$(srcdir)/'`dialogs.c
xfce4-dialogs.obj: dialogs.c
@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -MT xfce4-dialogs.obj -MD -MP -MF "$(DEPDIR)/xfce4-dialogs.Tpo" \
@am__fastdepCC_TRUE@ -c -o xfce4-dialogs.obj `if test -f 'dialogs.c'; then $(CYGPATH_W) 'dialogs.c'; else $(CYGPATH_W) '$(srcdir)/dialogs.c'`; \
@am__fastdepCC_TRUE@ then mv "$(DEPDIR)/xfce4-dialogs.Tpo" "$(DEPDIR)/xfce4-dialogs.Po"; \
@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/xfce4-dialogs.Tpo"; exit 1; \
@am__fastdepCC_TRUE@ fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='dialogs.c' object='xfce4-dialogs.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/xfce4-dialogs.Po' tmpdepfile='$(DEPDIR)/xfce4-dialogs.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -c -o xfce4-dialogs.obj `if test -f 'dialogs.c'; then $(CYGPATH_W) 'dialogs.c'; else $(CYGPATH_W) '$(srcdir)/dialogs.c'`
xfce4-dialogs.lo: dialogs.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -MT xfce4-dialogs.lo -MD -MP -MF "$(DEPDIR)/xfce4-dialogs.Tpo" \
@am__fastdepCC_TRUE@ -c -o xfce4-dialogs.lo `test -f 'dialogs.c' || echo '$(srcdir)/'`dialogs.c; \
@am__fastdepCC_TRUE@ then mv "$(DEPDIR)/xfce4-dialogs.Tpo" "$(DEPDIR)/xfce4-dialogs.Plo"; \
@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/xfce4-dialogs.Tpo"; exit 1; \
@am__fastdepCC_TRUE@ fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='dialogs.c' object='xfce4-dialogs.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/xfce4-dialogs.Plo' tmpdepfile='$(DEPDIR)/xfce4-dialogs.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -c -o xfce4-dialogs.lo `test -f 'dialogs.c' || echo '$(srcdir)/'`dialogs.c
xfce4-groups.o: groups.c
@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -MT xfce4-groups.o -MD -MP -MF "$(DEPDIR)/xfce4-groups.Tpo" \
@am__fastdepCC_TRUE@ -c -o xfce4-groups.o `test -f 'groups.c' || echo '$(srcdir)/'`groups.c; \
@ -706,6 +678,39 @@ xfce4-main.lo: main.c
@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -c -o xfce4-main.lo `test -f 'main.c' || echo '$(srcdir)/'`main.c
xfce4-mcs_client.o: mcs_client.c
@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -MT xfce4-mcs_client.o -MD -MP -MF "$(DEPDIR)/xfce4-mcs_client.Tpo" \
@am__fastdepCC_TRUE@ -c -o xfce4-mcs_client.o `test -f 'mcs_client.c' || echo '$(srcdir)/'`mcs_client.c; \
@am__fastdepCC_TRUE@ then mv "$(DEPDIR)/xfce4-mcs_client.Tpo" "$(DEPDIR)/xfce4-mcs_client.Po"; \
@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/xfce4-mcs_client.Tpo"; exit 1; \
@am__fastdepCC_TRUE@ fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='mcs_client.c' object='xfce4-mcs_client.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/xfce4-mcs_client.Po' tmpdepfile='$(DEPDIR)/xfce4-mcs_client.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -c -o xfce4-mcs_client.o `test -f 'mcs_client.c' || echo '$(srcdir)/'`mcs_client.c
xfce4-mcs_client.obj: mcs_client.c
@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -MT xfce4-mcs_client.obj -MD -MP -MF "$(DEPDIR)/xfce4-mcs_client.Tpo" \
@am__fastdepCC_TRUE@ -c -o xfce4-mcs_client.obj `if test -f 'mcs_client.c'; then $(CYGPATH_W) 'mcs_client.c'; else $(CYGPATH_W) '$(srcdir)/mcs_client.c'`; \
@am__fastdepCC_TRUE@ then mv "$(DEPDIR)/xfce4-mcs_client.Tpo" "$(DEPDIR)/xfce4-mcs_client.Po"; \
@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/xfce4-mcs_client.Tpo"; exit 1; \
@am__fastdepCC_TRUE@ fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='mcs_client.c' object='xfce4-mcs_client.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/xfce4-mcs_client.Po' tmpdepfile='$(DEPDIR)/xfce4-mcs_client.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -c -o xfce4-mcs_client.obj `if test -f 'mcs_client.c'; then $(CYGPATH_W) 'mcs_client.c'; else $(CYGPATH_W) '$(srcdir)/mcs_client.c'`
xfce4-mcs_client.lo: mcs_client.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -MT xfce4-mcs_client.lo -MD -MP -MF "$(DEPDIR)/xfce4-mcs_client.Tpo" \
@am__fastdepCC_TRUE@ -c -o xfce4-mcs_client.lo `test -f 'mcs_client.c' || echo '$(srcdir)/'`mcs_client.c; \
@am__fastdepCC_TRUE@ then mv "$(DEPDIR)/xfce4-mcs_client.Tpo" "$(DEPDIR)/xfce4-mcs_client.Plo"; \
@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/xfce4-mcs_client.Tpo"; exit 1; \
@am__fastdepCC_TRUE@ fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='mcs_client.c' object='xfce4-mcs_client.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/xfce4-mcs_client.Plo' tmpdepfile='$(DEPDIR)/xfce4-mcs_client.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -c -o xfce4-mcs_client.lo `test -f 'mcs_client.c' || echo '$(srcdir)/'`mcs_client.c
xfce4-panel.o: panel.c
@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(xfce4_CFLAGS) $(CFLAGS) -MT xfce4-panel.o -MD -MP -MF "$(DEPDIR)/xfce4-panel.Tpo" \
@am__fastdepCC_TRUE@ -c -o xfce4-panel.o `test -f 'panel.c' || echo '$(srcdir)/'`panel.c; \

2
panel/callbacks.c

@ -28,11 +28,9 @@
#include "item.h"
#include "item_dialog.h"
#include "popup.h"
#include "dialogs.h"
#include "controls_dialog.h"
#include "settings.h"
static PanelPopup *open_popup = NULL;
/* Panel callbacks

6
panel/handle.c

@ -25,13 +25,13 @@
#include "popup.h" /* to hide popups */
#include "groups.h"
#include "callbacks.h"
#include "dialogs.h"
#include "controls_dialog.h"
#include "mcs_client.h"
/* popup menu */
static void edit_prefs(void)
{
global_settings_dialog();
mcs_dialog();
}
static void add_new(void)
@ -56,6 +56,8 @@ static void exit_panel(void)
quit(FALSE);
}
extern void info_panel_dialog(void);
static void do_info(void)
{
info_panel_dialog();

8
panel/main.c

@ -39,6 +39,7 @@
#include "xfce.h"
#include "settings.h"
#include "mcs_client.h"
/* session management
* ------------------
@ -62,6 +63,8 @@ static void die (gpointer client_data)
*/
static void xfce_run(void)
{
mcs_watch_xfce_channel();
create_panel();
gtk_main();
@ -89,6 +92,8 @@ void quit(gboolean force)
if (!disable_user_config)
write_panel_config();
mcs_stop_watch();
panel_cleanup();
if (gtk_main_level())
@ -102,6 +107,8 @@ void restart(void)
if (!disable_user_config)
write_panel_config();
mcs_stop_watch();
panel_cleanup();
gtk_widget_destroy(toplevel);
@ -180,6 +187,7 @@ int main(int argc, char **argv)
}
icons_init();
xfce_run();
return 0;

34
panel/panel.c

@ -22,8 +22,10 @@
#include "xfce.h"
#include "groups.h"
#include "popup.h"
#include "handle.h"
#include "settings.h"
#include "mcs_client.h"
/* global settings */
Settings settings;
@ -173,6 +175,9 @@ void create_panel(void)
init_settings();
get_global_prefs();
/* If there is a settings manager it takes precedence */
mcs_init_settings();
need_init = FALSE;
}
@ -192,6 +197,8 @@ void create_panel(void)
* This function creates the panel items and popup menus */
get_panel_config();
panel_created = TRUE;
/* panel may have moved slightly off the screen */
position.x = x;
position.y = y;
@ -200,8 +207,6 @@ void create_panel(void)
gtk_widget_show(toplevel);
set_window_layer(toplevel, settings.layer);
set_window_skip(toplevel);
panel_created = TRUE;
}
void panel_add_control(void)
@ -221,6 +226,8 @@ void panel_set_orientation(int orientation)
if (!panel_created)
return;
hide_current_popup_menu();
/* save panel controls */
groups_unpack();
@ -231,25 +238,6 @@ void panel_set_orientation(int orientation)
groups_pack(GTK_BOX(group_box));
groups_set_orientation(orientation);
/* this seems more logical */
switch (settings.popup_position)
{
case LEFT:
settings.popup_position = BOTTOM;
break;
case RIGHT:
settings.popup_position = TOP;
break;
case TOP:
settings.popup_position = RIGHT;
break;
case BOTTOM:
settings.popup_position = LEFT;
break;
}
panel_set_popup_position(settings.popup_position);
position.x = position.y = -1;
panel_set_position();
}
@ -273,6 +261,8 @@ void panel_set_size(int size)
if (!panel_created)
return;
hide_current_popup_menu();
groups_set_size(size);
handle_set_size(handles[LEFT], size);
handle_set_size(handles[RIGHT], size);
@ -285,6 +275,8 @@ void panel_set_popup_position(int position)
if (!panel_created)
return;
hide_current_popup_menu();
groups_set_popup_position(position);
handle_set_popup_position(handles[LEFT]);
handle_set_popup_position(handles[RIGHT]);

10
panel/settings.c

@ -189,6 +189,7 @@ void write_panel_config(void)
char *dir;
char *rcfile;
xmlNodePtr root;
static gboolean backup = TRUE;
disable_user_config = check_disable_user_config();
@ -198,7 +199,14 @@ void write_panel_config(void)
rcfile = get_save_file(XFCERC);
if(g_file_test(rcfile, G_FILE_TEST_EXISTS))
write_backup_file(rcfile);
{
if (backup)
{
write_backup_file(rcfile);
backup = FALSE;
}
}
else
{
dir = g_path_get_dirname(rcfile);

4
plugins/Makefile.in

@ -76,6 +76,10 @@ MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MCS_CLIENT_CFLAGS = @MCS_CLIENT_CFLAGS@
MCS_CLIENT_LIBS = @MCS_CLIENT_LIBS@
MCS_MANAGER_CFLAGS = @MCS_MANAGER_CFLAGS@
MCS_MANAGER_LIBS = @MCS_MANAGER_LIBS@
MY_SUBDIRS = @MY_SUBDIRS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@

2
plugins/clock/Makefile.am

@ -6,5 +6,5 @@ libclock_la_LDFLAGS = "-module"
libclock_la_SOURCES = \
clock.c
libclock_la_CFLAGS = -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libclock_la_CFLAGS = -Wall -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libclock_la_LIBADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@

6
plugins/clock/Makefile.in

@ -76,6 +76,10 @@ MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MCS_CLIENT_CFLAGS = @MCS_CLIENT_CFLAGS@
MCS_CLIENT_LIBS = @MCS_CLIENT_LIBS@
MCS_MANAGER_CFLAGS = @MCS_MANAGER_CFLAGS@
MCS_MANAGER_LIBS = @MCS_MANAGER_LIBS@
MY_SUBDIRS = @MY_SUBDIRS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
@ -139,7 +143,7 @@ libclock_la_SOURCES = \
clock.c
libclock_la_CFLAGS = -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libclock_la_CFLAGS = -Wall -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libclock_la_LIBADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@
subdir = plugins/clock
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs

14
plugins/clock/clock.c

@ -66,19 +66,6 @@ static char *month_names[] = { N_("January"),
*/
static GtkWidget *revert_button;
static void set_tip(GtkWidget *widget, const char *tip)
{
static GtkTooltips *tooltips = NULL;
if (!tooltips)
{
tooltips = gtk_tooltips_new();
}
gtk_tooltips_set_tip(tooltips, widget, tip, NULL);
}
/* Clock module
* ------------
*/
@ -179,7 +166,6 @@ void update_clock_size(XfceClock *clock, int size)
void clock_set_size(Control * control, int size)
{
int s = icon_size[size];
t_clock *clock = (t_clock *) control->data;
XfceClock *tmp = XFCE_CLOCK(clock->clock);

2
plugins/mailcheck/Makefile.am

@ -6,5 +6,5 @@ libmailcheck_la_LDFLAGS = "-module"
libmailcheck_la_SOURCES = \
mailcheck.c
libmailcheck_la_CFLAGS = -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libmailcheck_la_CFLAGS = -Wall -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libmailcheck_la_LIBADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@

6
plugins/mailcheck/Makefile.in

@ -76,6 +76,10 @@ MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MCS_CLIENT_CFLAGS = @MCS_CLIENT_CFLAGS@
MCS_CLIENT_LIBS = @MCS_CLIENT_LIBS@
MCS_MANAGER_CFLAGS = @MCS_MANAGER_CFLAGS@
MCS_MANAGER_LIBS = @MCS_MANAGER_LIBS@
MY_SUBDIRS = @MY_SUBDIRS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
@ -139,7 +143,7 @@ libmailcheck_la_SOURCES = \
mailcheck.c
libmailcheck_la_CFLAGS = -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libmailcheck_la_CFLAGS = -Wall -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libmailcheck_la_LIBADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@
subdir = plugins/mailcheck
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs

6
plugins/mailcheck/mailcheck.c

@ -122,8 +122,6 @@ static void mailcheck_set_tip(t_mailcheck *mc)
void mailcheck_read_config(Control *control, xmlNodePtr node)
{
char *file;
const char *mail, *logname;
xmlChar *value;
int n;
@ -239,7 +237,6 @@ static void run_mail_command(t_mailcheck *mc)
static t_mailcheck *mailcheck_new(void)
{
PanelItem *pi;
t_mailcheck *mailcheck;
const char *mail;
@ -612,6 +609,9 @@ void mailcheck_add_options(Control * control, GtkContainer * container,
g_signal_connect_swapped(done, "clicked",
G_CALLBACK(mailcheck_apply_options), control);
g_signal_connect(done, "clicked",
G_CALLBACK(clean_mailcheck_backup), NULL);
gtk_container_add(container, vbox);
}

2
plugins/switcher/Makefile.am

@ -6,5 +6,5 @@ libswitcher_la_LDFLAGS = "-module"
libswitcher_la_SOURCES = \
switcher.c
libswitcher_la_CFLAGS = -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libswitcher_la_CFLAGS = -Wall -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libswitcher_la_LIBADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@

6
plugins/switcher/Makefile.in

@ -76,6 +76,10 @@ MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MCS_CLIENT_CFLAGS = @MCS_CLIENT_CFLAGS@
MCS_CLIENT_LIBS = @MCS_CLIENT_LIBS@
MCS_MANAGER_CFLAGS = @MCS_MANAGER_CFLAGS@
MCS_MANAGER_LIBS = @MCS_MANAGER_LIBS@
MY_SUBDIRS = @MY_SUBDIRS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
@ -139,7 +143,7 @@ libswitcher_la_SOURCES = \
switcher.c
libswitcher_la_CFLAGS = -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libswitcher_la_CFLAGS = -Wall -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libswitcher_la_LIBADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@
subdir = plugins/switcher
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs

38
plugins/switcher/switcher.c

@ -23,8 +23,10 @@
#include <libxfcegui4/libxfcegui4.h>
#include "xfce.h"
#include "popup.h"
#include "settings.h"
#include "plugins.h"
#include "mcs_client.h"
typedef struct
{
@ -105,7 +107,7 @@ SignalCallback *signal_callback_new(const char *signal,
}
/* request number of desktops */
static set_num_screens(int n)
static void set_num_screens(int n)
{
static Atom xa_NET_NUMBER_OF_DESKTOPS = 0;
XClientMessageEvent sev;
@ -317,11 +319,6 @@ static void screen_button_update_label(ScreenButton *sb, const char *name)
g_free(markup);
}
static void workspace_name_changed_cb(NetkWorkspace *ws, ScreenButton *sb)
{
/* not implemented in the library yet */
}
static gboolean
screen_button_pressed_cb(GtkButton * b, GdkEventButton * ev, ScreenButton * sb)
{
@ -379,7 +376,7 @@ h = -1;
}
/* creation and destruction */
#if 0
static void screen_button_modify_style(ScreenButton *sb)
{
GtkStyle *style;
@ -405,6 +402,7 @@ static void screen_button_modify_style(ScreenButton *sb)
gtk_widget_destroy(w);
}
#endif
ScreenButton *create_screen_button(int index, const char *name,
NetkScreen *screen)
@ -603,7 +601,6 @@ static void cde_pager_remove_button(CdePager *pager)
static void cde_pager_set_active(CdePager *pager, NetkWorkspace *ws)
{
GList *li;
int i, n;
for (li = pager->buttons; li; li = li->next)
{
@ -617,7 +614,6 @@ static void cde_pager_set_active(CdePager *pager, NetkWorkspace *ws)
CdePager *create_cde_pager(NetkScreen *screen, GPtrArray *names)
{
int i, n;
GtkWidget *box;
CdePager *pager = g_new0(CdePager, 1);
@ -667,7 +663,7 @@ CdePager *create_cde_pager(NetkScreen *screen, GPtrArray *names)
return pager;
}
static void *cde_pager_free(CdePager *pager)
static void cde_pager_free(CdePager *pager)
{
GList *li;
@ -692,6 +688,8 @@ static void mini_lock_cb(void)
exec_cmd("xflock", FALSE);
}
extern void info_panel_dialog(void);
static void mini_info_cb(void)
{
hide_current_popup_menu();
@ -710,7 +708,7 @@ static void mini_palet_cb(void)
return;
}
global_settings_dialog();
mcs_dialog();
}
static void mini_power_cb(GtkButton * b, GdkEventButton * ev, gpointer data)
@ -723,7 +721,6 @@ static void mini_power_cb(GtkButton * b, GdkEventButton * ev, gpointer data)
static void create_minibuttons(t_switcher *sw)
{
GdkPixbuf *pb[4];
GtkWidget *im;
GtkWidget *button;
int i;
GList *li;
@ -818,7 +815,6 @@ static void arrange_switcher(t_switcher *sw);
static void switcher_set_size(Control *control, int size)
{
int i;
GList *li;
t_switcher *sw;
int s;
@ -1034,7 +1030,6 @@ static void switcher_attach_callback(Control *control, const char *signal,
{
SignalCallback *sc;
t_switcher *sw;
GList *li;
int i;
sw = control->data;
@ -1059,10 +1054,8 @@ static void switcher_attach_callback(Control *control, const char *signal,
static void arrange_switcher(t_switcher *sw)
{
int i;
GList *li;
gboolean vertical = settings.orientation == VERTICAL;
GtkWidget *button_vbox;
/* destroy existing widgets */
if (sw->box)
@ -1277,14 +1270,6 @@ static void workspace_dialog(GtkWidget *b, t_switcher_dialog *sd)
{
}
static gboolean backup_show_minibuttons;
static gboolean backup_show_names;
static gboolean backup_graphical;
static GtkWidget *mini_checkbutton;
static GtkWidget *names_checkbutton;
static GtkWidget *graphical_checkbutton;
static void show_minibuttons_changed(GtkToggleButton *tb, t_switcher_dialog *sd)
{
t_switcher *sw = sd->sw;
@ -1307,6 +1292,7 @@ static void show_minibuttons_changed(GtkToggleButton *tb, t_switcher_dialog *sd)
gtk_widget_set_sensitive(sd->revert, TRUE);
}
#if 0
static void show_names_changed(GtkToggleButton *tb, t_switcher_dialog *sd)
{
t_switcher *sw = sd->sw;
@ -1324,7 +1310,9 @@ static void show_names_changed(GtkToggleButton *tb, t_switcher_dialog *sd)
gtk_widget_set_sensitive(sd->revert, TRUE);
}
#endif
#if 0
static void graphical_changed(GtkToggleButton *tb, t_switcher_dialog *sd)
{
t_switcher *sw = sd->sw;
@ -1342,6 +1330,7 @@ static void graphical_changed(GtkToggleButton *tb, t_switcher_dialog *sd)
gtk_widget_set_sensitive(sd->revert, TRUE);
}
#endif
static void switcher_revert(GtkWidget *b, t_switcher_dialog *sd)
{
@ -1457,6 +1446,7 @@ static void switcher_add_options(Control *control, GtkContainer *container,
G_CALLBACK(graphical_changed), sd);
*/
g_signal_connect(revert, "clicked", G_CALLBACK(switcher_revert), sd);
g_signal_connect(done, "clicked", G_CALLBACK(switcher_dialog_done), sd);
}
/* Switcher panel control

2
plugins/systembuttons/Makefile.am

@ -6,5 +6,5 @@ libsystembuttons_la_LDFLAGS = "-module"
libsystembuttons_la_SOURCES = \
systembuttons.c
libsystembuttons_la_CFLAGS = -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libsystembuttons_la_CFLAGS = -Wall -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libsystembuttons_la_LIBADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@

6
plugins/systembuttons/Makefile.in

@ -76,6 +76,10 @@ MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MCS_CLIENT_CFLAGS = @MCS_CLIENT_CFLAGS@
MCS_CLIENT_LIBS = @MCS_CLIENT_LIBS@
MCS_MANAGER_CFLAGS = @MCS_MANAGER_CFLAGS@
MCS_MANAGER_LIBS = @MCS_MANAGER_LIBS@
MY_SUBDIRS = @MY_SUBDIRS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
@ -139,7 +143,7 @@ libsystembuttons_la_SOURCES = \
systembuttons.c
libsystembuttons_la_CFLAGS = -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libsystembuttons_la_CFLAGS = -Wall -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libsystembuttons_la_LIBADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@
subdir = plugins/systembuttons
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs

6
plugins/systembuttons/systembuttons.c

@ -25,8 +25,8 @@
#include <libxfcegui4/xfce_iconbutton.h>
#include "xfce.h"
#include "dialogs.h"
#include "plugins.h"
#include "mcs_client.h"
/* callbacks */
static void mini_lock_cb(void)
@ -34,6 +34,8 @@ static void mini_lock_cb(void)
exec_cmd("xflock", FALSE);
}
extern void info_panel_dialog(void);
static void mini_info_cb(void)
{
info_panel_dialog();
@ -48,7 +50,7 @@ static void mini_palet_cb(void)
return;
}
global_settings_dialog();
mcs_dialog();
}
static void mini_power_cb(GtkButton * b, GdkEventButton * ev, gpointer data)

2
plugins/trash/Makefile.am

@ -6,5 +6,5 @@ libtrash_la_LDFLAGS = "-module"
libtrash_la_SOURCES = \
trash.c
libtrash_la_CFLAGS = -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libtrash_la_CFLAGS = -Wall -I../../panel @CFLAGS@ @X_CFLAGS@ @BASE_DEPENDENCIES_CFLAGS@ -DG_DISABLE_DEPRECATED -DDATADIR=\"$(pkgdatadir)\" -DLIBDIR=\"$(pkglibdir)\"
libtrash_la_LIBADD = @LIBS@ @X_LIBS@ @BASE_DEPENDENCIES_LIBS@